Subject: bug#59075: 29.0.50; Image transforms not applied to svg images

From: Po Lu <[email-masked]>
Date: Mon, 07 Nov 2022 20:21:55 +0800

Evgeny Zajcev <[email-masked]> writes:

> пн, 7 нояб. 2022 г. в 03:26, Po Lu <[email-masked]>:
>
>  My suspicion is that librsvg is not being used to display SVGs at all,
>  on Mac OS 13.  What happens if you build without native image APIs?
>
> Works perfectly without native image API!  Resulting svg image gets
> correct size after applying `:height', and if I change image type to
> png, image is not displayed at all as expected.

I can't see why ns_image_set_transform was not called in your case, and
I don't know how to investigate this problem further on Mac OS.

To the Mac experts out there: is there any reason an SVG image loaded by
[NSImage initByReferencingFile:] would not respect the transform set
with [NSAffineTransform concat]?